# Search Documents

Source: https://www.digiparser.com/docs/api/searchDocuments

# Search Documents

Server URL`loading...`

POST

/`api`/`v1`/`parsers`/`{parserId}`/`documents`/`search`

Send

Authorization

Path

Body

Search documents using document metadata and extracted field or table values.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Request Body](#request-body)

`application/json`

q?string

status?string

folderId?string|null

externalId?string

assigneeId?string

reviewStageId?string

createdFrom?string

Format`date-time`

createdTo?string

Format`date-time`

page?integer

Default`1`

limit?integer

Default`50`

Range`value <= 100`

sort?string

filters?array<object\>

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X POST "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/documents/search" \  -H "Content-Type: application/json" \  -d '{}'
```

200

```
{
  "data": [
    {
      "id": "2b9b1243-3d94-42b0-9515-729c7404e3b7",
      "name": "sample-invoice.pdf",
      "externalId": "doc-123",
      "custom": {
        "batchId": "xyz",
        "customerId": "pqr"
      },
      "status": "processed",
      "folderId": "76e4f0ef-15d0-4bde-8c0e-43d361c0795c",
      "source": "api",
      "contentType": "application/pdf",
      "createdAt": "2026-01-23T18:11:47.319Z",
      "updatedAt": "2026-01-23T18:12:29.860Z",
      "isProcessed": true,
      "isFailed": false,
      "pageCount": 1,
      "review": {
        "isRequired": true,
        "status": "not_required",
        "assignee": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "Jane Reviewer",
          "email": "[email protected]"
        },
        "currentStage": {
          "id": "string",
          "name": "string",
          "reviewerInstructions": "string",
          "position": 0
        },
        "stages": [
          {
            "id": "string",
            "name": "string",
            "reviewerInstructions": "string",
            "position": 0,
            "status": "pending",
            "assignee": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "name": "Jane Reviewer",
              "email": "[email protected]"
            },
            "approvedAt": "2019-08-24T14:15:22Z",
            "rejectedAt": "2019-08-24T14:15:22Z"
          }
        ]
      }
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "total": 128,
    "pageCount": 3
  }
}
```

[

List Documents GET

List documents for a parser with search, filters, sorting, and bounded pagination. This endpoint returns a compact document row. Use Get Document for the full document view.

](/docs/api/listDocuments)[

Get Document GET

Retrieve one complete document view, including status, folder, file link when available, latest extracted data when available, sanitized error information, timestamps, and page count.

](/docs/api/getDocument)